// CHECKSTYLE:OFF

package com.sonyericsson.hudson.plugins.gerrit.trigger;

import org.jvnet.localizer.Localizable;
import org.jvnet.localizer.ResourceBundleHolder;

@SuppressWarnings({
    "",
    "PMD"
})
public class Messages {

    private final static ResourceBundleHolder holder = ResourceBundleHolder.get(Messages.class);

    /**
     * "{0}" does not exist.
     * 
     */
    public static String FileNotFoundError(Object arg1) {
        return holder.format("FileNotFoundError", arg1);
    }

    /**
     * "{0}" does not exist.
     * 
     */
    public static Localizable _FileNotFoundError(Object arg1) {
        return new Localizable(holder, "FileNotFoundError", arg1);
    }

    /**
     * Triggers Hudson builds on Gerrit Events
     * 
     */
    public static String PluginDescription() {
        return holder.format("PluginDescription");
    }

    /**
     * Triggers Hudson builds on Gerrit Events
     * 
     */
    public static Localizable _PluginDescription() {
        return new Localizable(holder, "PluginDescription");
    }

    /**
     * Authentication failed! {0}
     * 
     */
    public static String SshAuthenticationException(Object arg1) {
        return holder.format("SshAuthenticationException", arg1);
    }

    /**
     * Authentication failed! {0}
     * 
     */
    public static Localizable _SshAuthenticationException(Object arg1) {
        return new Localizable(holder, "SshAuthenticationException", arg1);
    }

    /**
     * SSH key file "{0}" does not exist or is a directory.
     * 
     */
    public static String SshKeyFileNotFoundError(Object arg1) {
        return holder.format("SshKeyFileNotFoundError", arg1);
    }

    /**
     * SSH key file "{0}" does not exist or is a directory.
     * 
     */
    public static Localizable _SshKeyFileNotFoundError(Object arg1) {
        return new Localizable(holder, "SshKeyFileNotFoundError", arg1);
    }

    /**
     * "{0}" is not file.
     * 
     */
    public static String NotFileError(Object arg1) {
        return holder.format("NotFileError", arg1);
    }

    /**
     * "{0}" is not file.
     * 
     */
    public static Localizable _NotFileError(Object arg1) {
        return new Localizable(holder, "NotFileError", arg1);
    }

    /**
     * Triggered by Gerrit: {0}
     * 
     */
    public static String TriggeredShortDescription(Object arg1) {
        return holder.format("TriggeredShortDescription", arg1);
    }

    /**
     * Triggered by Gerrit: {0}
     * 
     */
    public static Localizable _TriggeredShortDescription(Object arg1) {
        return new Localizable(holder, "TriggeredShortDescription", arg1);
    }

    /**
     * Could not connect!
     * 
     */
    public static String SshConnectException() {
        return holder.format("SshConnectException");
    }

    /**
     * Could not connect!
     * 
     */
    public static Localizable _SshConnectException() {
        return new Localizable(holder, "SshConnectException");
    }

    /**
     * Retrigger
     * 
     */
    public static String Retrigger() {
        return holder.format("Retrigger");
    }

    /**
     * Retrigger
     * 
     */
    public static Localizable _Retrigger() {
        return new Localizable(holder, "Retrigger");
    }

    /**
     * Success
     * 
     */
    public static String Success() {
        return holder.format("Success");
    }

    /**
     * Success
     * 
     */
    public static Localizable _Success() {
        return new Localizable(holder, "Success");
    }

    /**
     * Retrigger All
     * 
     */
    public static String RetriggerAll() {
        return holder.format("RetriggerAll");
    }

    /**
     * Retrigger All
     * 
     */
    public static Localizable _RetriggerAll() {
        return new Localizable(holder, "RetriggerAll");
    }

    /**
     * Connection error : {0}
     * 
     */
    public static String ConnectionError(Object arg1) {
        return holder.format("ConnectionError", arg1);
    }

    /**
     * Connection error : {0}
     * 
     */
    public static Localizable _ConnectionError(Object arg1) {
        return new Localizable(holder, "ConnectionError", arg1);
    }

    /**
     * "{0}" is not a valid key file.
     * 
     */
    public static String InvalidKeyFileError(Object arg1) {
        return holder.format("InvalidKeyFileError", arg1);
    }

    /**
     * "{0}" is not a valid key file.
     * 
     */
    public static Localizable _InvalidKeyFileError(Object arg1) {
        return new Localizable(holder, "InvalidKeyFileError", arg1);
    }

    /**
     * Bad URL format.
     * 
     */
    public static String BadUrlError() {
        return holder.format("BadUrlError");
    }

    /**
     * Bad URL format.
     * 
     */
    public static Localizable _BadUrlError() {
        return new Localizable(holder, "BadUrlError");
    }

    /**
     * Bad SSH keyfile or password.
     * 
     */
    public static String BadSshkeyOrPasswordError() {
        return holder.format("BadSshkeyOrPasswordError");
    }

    /**
     * Bad SSH keyfile or password.
     * 
     */
    public static Localizable _BadSshkeyOrPasswordError() {
        return new Localizable(holder, "BadSshkeyOrPasswordError");
    }

    /**
     * Gerrit event
     * 
     */
    public static String TriggerDisplayName() {
        return holder.format("TriggerDisplayName");
    }

    /**
     * Gerrit event
     * 
     */
    public static Localizable _TriggerDisplayName() {
        return new Localizable(holder, "TriggerDisplayName");
    }

    /**
     * Triggered by Gerrit: {0} in silent mode.
     * 
     */
    public static String TriggeredShortDescriptionInSilentMode(Object arg1) {
        return holder.format("TriggeredShortDescriptionInSilentMode", arg1);
    }

    /**
     * Triggered by Gerrit: {0} in silent mode.
     * 
     */
    public static Localizable _TriggeredShortDescriptionInSilentMode(Object arg1) {
        return new Localizable(holder, "TriggeredShortDescriptionInSilentMode", arg1);
    }

    /**
     * Gerrit Hudson Trigger
     * 
     */
    public static String DisplayName() {
        return holder.format("DisplayName");
    }

    /**
     * Gerrit Hudson Trigger
     * 
     */
    public static Localizable _DisplayName() {
        return new Localizable(holder, "DisplayName");
    }

    /**
     * Must put something here.
     * 
     */
    public static String EmptyError() {
        return holder.format("EmptyError");
    }

    /**
     * Must put something here.
     * 
     */
    public static Localizable _EmptyError() {
        return new Localizable(holder, "EmptyError");
    }

}
